Update a single folder#

Description#

Updates the folder that matches the provided ID with the details provided in the body.

PUT /api/v1/folder/{folderId}

Required OAuth Scopes

No OAuth scopes are required to use this endpoint.

Parameters#

Parameter

In

Type

Required

Description

folderId

path

string

true

The unique identifier of the folder

body

body

FolderDto

true

The representation of the folder to update

Body parameter example#

{
  "description": "string",
  "name": "string"
}

Code Samples#

curl -X PUT https://h.app.wdesk.com/s/wdata/prep/api/v1/folder/{folderId} \
    -H 'Content-Type: application/json' \
    -H 'Accept: application/json' \
    -H 'Authorization: Bearer {access-token}'
http PUT https://h.app.wdesk.com/s/wdata/prep/api/v1/folder/{folderId} \
    Content-Type:application/json \
    Accept:application/json \
    Authorization:"Bearer {access-token}"
wget --method=PUT "https://h.app.wdesk.com/s/wdata/prep/api/v1/folder/{folderId}" \
    --output-document -  \ 
    --header 'Content-Type: application/json' \ 
    --header 'Accept: application/json' \ 
    --header 'Authorization: Bearer {access-token}'
import requests

headers = {
  'Content-Type': 'application/json',
  'Accept': 'application/json',
  'Authorization': 'Bearer {access-token}'
}

r = requests.put('https://h.app.wdesk.com/s/wdata/prep/api/v1/folder/{folderId}', headers = headers)

print(r.json())

Returns#

200 - OK#

Returns a JSON object with a body property, which contains the a FolderDto object for the updated folder.

Example Responses#

{
  "body": {
    "created": "string",
    "description": "string",
    "id": "string",
    "name": "string",
    "parentId": "string",
    "updated": "string",
    "userId": "string",
    "version": "integer"
  },
  "code": "integer"
}